Package com.collabnet.ce.soap60.webservices.wiki

# Class WikiAppSoapStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.wiki.WikiAppSoapStub

All Implemented Interfaces:
  `IWikiAppSoap`

public class WikiAppSoapStub extends ClientSoapStub implements IWikiAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WikiAppSoapStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype)`
  Attaches the uploaded file to the specified wiki page.
  `void`
  `addAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments)`
  Attaches the uploaded file to the specified wiki page.
  `WikiPageSoapDO`
  `createWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment)`
  Creates a new wiki page with the specified name, text, etc.
  `void`
  `deleteWikiPage(String sessionId, String wikiPageId)`
  Deletes a wiki page.
  `String`
  `getFormattedWikiPageText(String sessionId, String wikiPageId)`
  Gets specified wiki page text in formatted (HTML) form.
  `WikiPageSoapDO`
  `getWikiPageData(String sessionId, String wikiPageId)`
  Gets specified wiki page data.
  `WikiPageSoapDO`
  `getWikiPageDataByName(String sessionId, String projectId, String wikiPageName)`
  Gets specified wiki page text in formatted (HTML) form.
  `WikiPageSoapList`
  `getWikiPageList(String sessionId, String projectId)`
  Lists all wiki pages that have contents within a project.
  `void`
  `setWikiPageData(String sessionId, WikiPageSoapDO wikiPageData)`
  Sets specified wiki page data.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WikiAppSoapStub

    public WikiAppSoapStub(String soapServerUrl)

- ## Method Details

  - ### createWikiPage

    public WikiPageSoapDO createWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Creates a new wiki page with the specified name, text, etc.
    Specified by:
      `createWikiPage` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `projectId` - Project in which to create a wiki page.
      `name` - Wiki page name.
      `wikiText` - Wiki text for the page.
      `versionComment` - Wiki page version comment.
    Returns:
      Wiki page data object.
    Throws:
      `RemoteException`

  - ### deleteWikiPage

    public void deleteWikiPage(String sessionId, String wikiPageId) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Deletes a wiki page.
    Specified by:
      `deleteWikiPage` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Throws:
      `RemoteException`

  - ### getWikiPageData

    public WikiPageSoapDO getWikiPageData(String sessionId, String wikiPageId) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Gets specified wiki page data.
    Specified by:
      `getWikiPageData` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Returns:
      Wiki page data object.
    Throws:
      `RemoteException`

  - ### getFormattedWikiPageText

    public String getFormattedWikiPageText(String sessionId, String wikiPageId) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Gets specified wiki page text in formatted (HTML) form.
    Specified by:
      `getFormattedWikiPageText` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Returns:
      Wiki page text in formatted form.
    Throws:
      `RemoteException`

  - ### getWikiPageDataByName

    public WikiPageSoapDO getWikiPageDataByName(String sessionId, String projectId, String wikiPageName) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Gets specified wiki page text in formatted (HTML) form. "HomePage" is the default Wiki application home page.
    Specified by:
      `getWikiPageDataByName` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `wikiPageName` - Name of the wiki page.
    Returns:
      Wiki page text in formatted form.
    Throws:
      `RemoteException`

  - ### getWikiPageList

    public WikiPageSoapList getWikiPageList(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Lists all wiki pages that have contents within a project.
    Specified by:
      `getWikiPageList` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      wiki page list
    Throws:
      `RemoteException`

  - ### setWikiPageData

    public void setWikiPageData(String sessionId, WikiPageSoapDO wikiPageData) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Sets specified wiki page data.
    Specified by:
      `setWikiPageData` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageData` - Wiki page data object.
    Throws:
      `RemoteException`

  - ### addAttachment

    public void addAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Attaches the uploaded file to the specified wiki page.
    Specified by:
      `addAttachment` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
      `fileId` - Attachment file ID returned by FileStorageApp/SimpleFileStorageApp webservice.
      `filename` - Attachment file name.
      `mimetype` - Attachment file type.
    Throws:
      `RemoteException`

  - ### addAttachments

    public void addAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments) throws RemoteException
    Description copied from interface: `IWikiAppSoap`
    Attaches the uploaded file to the specified wiki page.
    Specified by:
      `addAttachments` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
      `attachments` - AttachmentSoapDO.
    Throws:
      `RemoteException`